package mycar;

public class Car
{
	final	int	MAX_SPEED = 100;
	final	int	ACCEL_DELTA = 10;

	// properties
	String	plateNo;
	String	driver;
	int		currentSpeed;

	// constructors
	public Car( String plateNo)
	{
		this.plateNo = plateNo;
		driver = "none";
		currentSpeed = 0;
	}


	public Car( String plateNo, String driver)
	{
		this.plateNo = plateNo;
		this.driver = driver;
		currentSpeed = 0;
	}

	public Car( String plateNo, String driver, int currentSpeed)
	{
		// plateNo = plateNo;
		this.plateNo = plateNo;
		this.driver = driver;
		this.currentSpeed = currentSpeed;
	}

	// methods
	public String toString()
	{
		return plateNo + " " + driver
			   + " speed: " + currentSpeed;
	}

	public void accelerate()
	{
		currentSpeed = currentSpeed + ACCEL_DELTA;
		if ( currentSpeed > MAX_SPEED)
			currentSpeed = MAX_SPEED;
	}
	
	public void accelerate(int delta)
	{
		currentSpeed = currentSpeed + delta;
		if ( currentSpeed > MAX_SPEED)
			currentSpeed = MAX_SPEED;
	}

}
