package mydate;

public class Person
{
	// properties
	String	name;
	Date	dob;

	// constructors
	public Person( String theName)
	{
		name = theName;
		dob = new Date();
	}

	public Person( String theName, Date dob)
	{
		name = theName;
		this.dob = dob;
	}

	// methods
	public void sayNameAndAge()
	{
		System.out.println( name + " - " + getAge() );
	}

	public String toString()
	{
		return "age " + getAge() + " name " + name
				+ " dob = " + dob;
	}

	public String getName()
	{
		return name;
	}

	public int	getAge()
	{
		// rather than computing age here, delagate to Date class
		return dob.getAge();
	}

//  *** method no longer needed!
//	public void increaseAge()
//	{
//		age = age + 1;
//	}

}